local entity_definitions = "__heat-engine__/prototypes/entity_definitions"
local interface = require("interface")
local utilities = {}
function utilities.get_hidden_energy_interface()
    -- Implement logic to retrieve the energy interface efficiently
     return game.get_surface(1).find_entity("hidden-energy-interface")
end
function utilities.get_heat_engine()
    -- Implement logic to retrieve the heat engine
     return game.get_surface(1).find_entity("heat-engine")
end
if energy_interface and energy_interface.valid then
    utilities.update_flow_limits(energy_interface, energyOutput)
    utilities.update_energy_production(energy_interface, energyOutput)

end

function utilities.get_heat_engine_temperature(heat_engine)
    if heat_engine and heat_engine.valid and heat_engine.heat_buffer then
        return heat_engine.heat_buffer.temperature
    else
        return nil
    end
end

function utilities.update_flow_limits(energy_interface, energyOutput)
    if energy_interface and energy_interface.valid then
        energy_interface.energy_source.input_flow_limit = energyOutput .. "W"
        energy_interface.energy_source.output_flow_limit = energyOutput .. "W"
    else
        game.print("Failed to update flow limits: Invalid energy interface.")
    end
end

function utilities.update_energy_production(energy_interface, energyOutput)
    if energy_interface and energy_interface.valid then
        energy_interface.energy_production = energyOutput .. "W"
    else
        game.print("Failed to update energy production: Invalid energy interface.")
    end
end


return utilities
